package com.jeeplus.modules.sg.managementcenter.project.entity;

import com.jeeplus.core.persistence.DataEntity;
/***
 * 资金计划管理实体类
 * */
public class CapitalPlan extends DataEntity<CapitalPlan> {
    //储备项目暂定名称
    private String reserveProjectName;
    //项目名称
    private String projectName;
    //项目定义号
    private String projectId;
    //项目批次
    private String projectBatch;
    //项目预算
    private String projectBudget;
    //项目实际费用
    private String actualCost;
    //项目差额
    private String projectDifference;
    //施工费
    private String constructionCost;
    //项目实际施工费
    private String actualConstructionCost;
    //施工差额
    private String constructionDifference;
    //物资费
    private String materialCost;
    //项目实际物资费
    private String actualMaterialCost;
    //物资差额
    private String costDifference;
    //设计费
    private String designFee;
    //应付设计费
    private String DesignPayFee;
    //项目实际设计费
    private String actualDesignCost;
    //设计差额
    private String designDifference;
    //监理费
    private String supervisionFee;
    //应付监理费
    private String supervisionPayFee;
    //项目实际监理费
    private String actualSupervisionCost;
    //监理差额
    private String supervisionDifference;
    //政策处理费用
    private String policyProcessingFee;
    //项目实际管理费
    private String ActualManagementFee;
    //政策处理差额
    private String policyDifference;
    //其他费用
    private String otherExpenses;
    //实际其他费用
    private String actualOtherCost;
    //其它差额
    private String otherDifference;
    //设计费费率
    private String designRate;
    //监理费费率
    private String supervisionRate;

    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectBatch() {
        return projectBatch;
    }

    public void setProjectBatch(String projectBatch) {
        this.projectBatch = projectBatch;
    }

    public String getProjectBudget() {
        return projectBudget;
    }

    public void setProjectBudget(String projectBudget) {
        this.projectBudget = projectBudget;
    }

    public String getActualCost() {
        return actualCost;
    }

    public void setActualCost(String actualCost) {
        this.actualCost = actualCost;
    }

    public String getProjectDifference() {
        return projectDifference;
    }

    public void setProjectDifference(String projectDifference) {
        this.projectDifference = projectDifference;
    }

    public String getConstructionCost() {
        return constructionCost;
    }

    public void setConstructionCost(String constructionCost) {
        this.constructionCost = constructionCost;
    }

    public String getActualConstructionCost() {
        return actualConstructionCost;
    }

    public void setActualConstructionCost(String actualConstructionCost) {
        this.actualConstructionCost = actualConstructionCost;
    }

    public String getConstructionDifference() {
        return constructionDifference;
    }

    public void setConstructionDifference(String constructionDifference) {
        this.constructionDifference = constructionDifference;
    }

    public String getMaterialCost() {
        return materialCost;
    }

    public void setMaterialCost(String materialCost) {
        this.materialCost = materialCost;
    }

    public String getActualMaterialCost() {
        return actualMaterialCost;
    }

    public void setActualMaterialCost(String actualMaterialCost) {
        this.actualMaterialCost = actualMaterialCost;
    }

    public String getCostDifference() {
        return costDifference;
    }

    public void setCostDifference(String costDifference) {
        this.costDifference = costDifference;
    }

    public String getDesignFee() {
        return designFee;
    }

    public void setDesignFee(String designFee) {
        this.designFee = designFee;
    }

    public String getDesignPayFee() {
        return DesignPayFee;
    }

    public void setDesignPayFee(String designPayFee) {
        DesignPayFee = designPayFee;
    }

    public String getActualDesignCost() {
        return actualDesignCost;
    }

    public void setActualDesignCost(String actualDesignCost) {
        this.actualDesignCost = actualDesignCost;
    }

    public String getDesignDifference() {
        return designDifference;
    }

    public void setDesignDifference(String designDifference) {
        this.designDifference = designDifference;
    }

    public String getSupervisionFee() {
        return supervisionFee;
    }

    public void setSupervisionFee(String supervisionFee) {
        this.supervisionFee = supervisionFee;
    }

    public String getSupervisionPayFee() {
        return supervisionPayFee;
    }

    public void setSupervisionPayFee(String supervisionPayFee) {
        this.supervisionPayFee = supervisionPayFee;
    }

    public String getActualSupervisionCost() {
        return actualSupervisionCost;
    }

    public void setActualSupervisionCost(String actualSupervisionCost) {
        this.actualSupervisionCost = actualSupervisionCost;
    }

    public String getSupervisionDifference() {
        return supervisionDifference;
    }

    public void setSupervisionDifference(String supervisionDifference) {
        this.supervisionDifference = supervisionDifference;
    }

    public String getPolicyProcessingFee() {
        return policyProcessingFee;
    }

    public void setPolicyProcessingFee(String policyProcessingFee) {
        this.policyProcessingFee = policyProcessingFee;
    }

    public String getActualManagementFee() {
        return ActualManagementFee;
    }

    public void setActualManagementFee(String actualManagementFee) {
        ActualManagementFee = actualManagementFee;
    }

    public String getPolicyDifference() {
        return policyDifference;
    }

    public void setPolicyDifference(String policyDifference) {
        this.policyDifference = policyDifference;
    }

    public String getOtherExpenses() {
        return otherExpenses;
    }

    public void setOtherExpenses(String otherExpenses) {
        this.otherExpenses = otherExpenses;
    }

    public String getActualOtherCost() {
        return actualOtherCost;
    }

    public void setActualOtherCost(String actualOtherCost) {
        this.actualOtherCost = actualOtherCost;
    }

    public String getOtherDifference() {
        return otherDifference;
    }

    public void setOtherDifference(String otherDifference) {
        this.otherDifference = otherDifference;
    }

    public String getDesignRate() {
        return designRate;
    }

    public void setDesignRate(String designRate) {
        this.designRate = designRate;
    }

    public String getSupervisionRate() {
        return supervisionRate;
    }

    public void setSupervisionRate(String supervisionRate) {
        this.supervisionRate = supervisionRate;
    }
}
